<?php
/**
* The template for displaying Category pages
*
* @author      NanoAgency
* @link        http://nanoagency.co
* @copyright   Copyright (c) 2015 NanoAgency
* @license     GPL v2
*/

$title_cat = get_theme_mod('trebol_post_title_heading',true);
$shopTop                   = get_theme_mod('trebol_top_shop',false);
if(isset($_GET['top-shop'])){
        $shopTop=$_GET['top-shop'];
}
if($shopTop){
    $class='hidden';
}

if(isset($_GET['title'])){
    $title_cat=$_GET['title'];
}

$trebol_breadcrumb         = get_theme_mod('trebol_breadcrumb','');
$style_css ='';
if($trebol_breadcrumb){
    $bg_image          ="background-image:url('$trebol_breadcrumb')";
    $style_css            ='style = '.$bg_image.'';
}

get_header(); ?>

<section class="wrap-breadcrumb <?php echo esc_attr($class);?>" <?php echo esc_attr($style_css);?>>
    <div class="container">  
        <?php if ( $title_cat ) : ?>
            <?php do_action('category-title'); ?>                
            <?php trebol_woocommerce_breadcrumb(); ?>
        <?php endif;?>
    </div>
</section>

<div id="primary" class="content-area">
    <main id="main" class="site-main">       
        <div class="container">
            <div class="content-category">
                <div class="row">
                    <?php do_action('archive-sidebar-left'); ?>
                    <?php do_action('archive-content-before'); ?>
                    <?php if ( have_posts() ) : ?>
                        <div class="archive-blog">
                            <div class="row">
                                <div class="affect-isotope">
                                    <?php get_template_part( 'loop' );?>
                                </div>
                            </div>
                        </div>
                    <?php else :                    
                        get_template_part( 'content', 'none' );
                    endif; ?>
                    <?php
                    the_posts_pagination( array(
                        'prev_text'          => '<i class="ion-ios-arrow-thin-left icons"></i>',
                        'next_text'          => '<i class="ion-ios-arrow-thin-right icons"></i>',
                        'before_page_number' => '<span class="meta-nav screen-reader-text"></span>',
                    ) );
                    ?>
                    <?php do_action('archive-content-after'); ?>
                    <?php do_action('archive-sidebar-right'); ?>
                </div>
            </div>    
        </div>
    </main>
</div>

<?php get_footer();