<?php
/**
 * The default template for displaying content
 *
 * @author      NanoAgency
 * @link        http://nanoagency.co
 * @copyright   Copyright (c) 2015 NanoAgency
 * @license     GPL v2
 */
$format = get_post_format();
$add_class='';
$thumbnail_src = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), "trebol-blog-grid" );
$placeholder_image = get_template_directory_uri(). '/assets/images/layzyload-grid.jpg';
?>
<article <?php post_class('post-item post-grid clearfix'); ?>>
    <div class="article-image">
        <?php if(has_post_thumbnail()) : ?>
            <div class="post-image">
                <a href="<?php echo get_permalink() ?>">
                    <img  class="lazy" alt="<?php echo esc_attr('article-image')?>" src="<?php echo esc_url($thumbnail_src[0]);?>"  data-original="<?php echo esc_url($thumbnail_src[0]);?>" data-lazy="<?php echo esc_url($thumbnail_src[0]);?>"/>
                </a>
            </div>
        <?php else :
            $add_class='full-width';
        endif; ?>
        <?php if(has_post_format('gallery')) : ?>
            <?php $images = get_post_meta( get_the_ID(), '_format_gallery_images', true );?>
            <?php if($images) : ?>
                <div class="post-gallery">
                    <a  href="<?php echo get_post_format_link( $format ); ?>" class="post-format"><i class="ti-camera"></i></a>
                </div>
            <?php endif; ?>

        <?php elseif(has_post_format('video')) : ?>
            <div class="post-video">
                <a  href="<?php echo get_post_format_link( $format ); ?>" class="post-format"><i class="ti-control-play"></i></a>
            </div>
        <?php elseif(has_post_format('audio')) : ?>
            <div class="post-audio">
                <a href="<?php echo get_permalink() ?>"><?php the_post_thumbnail('trebol-blog-grid'); ?></a>
                <a  href="<?php echo get_post_format_link( $format ); ?>" class="post-format"><i class="ti-headphone"></i></a>
            </div>
        <?php elseif(has_post_format('quote')) :?>
            <div class="post-quote <?php echo esc_attr($add_class);?>">
                <?php $sp_quote = get_post_meta( get_the_ID(), '_format_quote_source_name', true ); ?>
                <a href="<?php echo get_permalink() ?>"><?php the_post_thumbnail('trebol-blog-grid'); ?></a>
                <a  href="<?php echo get_post_format_link( $format ); ?>" class="post-format"><i class="ti-quote-left"></i></a>
            </div>
        <?php endif; ?>
    </div>
    <div class="article-content <?php echo esc_attr($add_class);?>">
        <div class="entry-header clearfix">
            <div class="article-meta-date">
                <?php trebol_entry_date(); ?>
                <?php trebol_entry_meta(); ?>
            </div>
            <header class="entry-header-title">
                <?php
                    the_title( sprintf( '<h3 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' );
                ?>
            </header>
        </div>
        <div class="entry-content">            
            <?php
                if ( has_excerpt()){
                    trebol_excerpt();
                }
                else{
                    echo trebol_content(20);
                }
            ?>                         
        </div>
        <div class="entry-link">
            <a class="btn-readmore" href="<?php echo get_permalink() ?>"><?php esc_html_e('Read More','trebol') ?></a>
        </div>
    </div>
</article>
