<?php
/**
 * The default template for displaying content
 *
 * @author      NanoAgency
 * @link        http://nanoagency.co
 * @copyright   Copyright (c) 2015 NanoAgency
 * @license     GPL v2
 */
$format = get_post_format();
$add_class='';
$thumbnail_src = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), "trebol-blog-grid" );
$placeholder_image = get_template_directory_uri(). '/assets/images/layzyload-grid.jpg';
$bg_image="background-image:url('$thumbnail_src[0]')";
?>
<article <?php post_class('post-item post-grid clearfix'); ?>>
    <div class="article-image">
        <?php if(has_post_thumbnail()) : ?>
            <div class="post-image">
                <div class="post-image lazy" style = "<?php echo esc_attr($bg_image);?>">
                    <a href="<?php echo get_permalink() ?>"></a>
                </div>
            </div>
        <?php else :
            $add_class='full-width';
        endif; ?>
    </div>
    <div class="article-content <?php echo esc_attr($add_class);?>">
        <div class="entry-header clearfix">
            <div class="article-meta-date">
                <?php trebol_entry_date(); ?>
                <?php trebol_entry_meta(); ?>
            </div>
            <header class="entry-header-title">
                <?php
                    the_title( sprintf( '<h3 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' );
                ?>
            </header>
        </div>
        <div class="entry-content">            
            <?php
                if ( has_excerpt()){
                    trebol_excerpt();
                }
                else{
                    echo trebol_content(20);
                }
            ?>                         
        </div>
        <div class="entry-link">
            <a class="btn-readmore" href="<?php echo get_permalink() ?>"><?php esc_html_e('Read More','trebol') ?></a>
        </div>
    </div>
</article>
