<?php
/**
 * Checkout coupon form
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/checkout/form-coupon.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.4.4
 */

defined( 'ABSPATH' ) || exit;

if ( ! wc_coupons_enabled() ) { // @codingStandardsIgnoreLine.
	return;
}

$info_message = apply_filters( 'woocommerce_checkout_coupon_message', esc_html__( 'Have a coupon?', 'trebol' ) . ' <a href="#" class="showcoupon">' . esc_html__( 'Click here to enter your code', 'trebol' ) . '</a>' );?>

<div class="col-md-5">
    <div class="woocommerce_checkout_coupon">
        <?php wc_print_notice( $info_message, 'notice' ); ?>

        <form class="checkout_coupon trebol-coupon" method="post" style="display:none">
            <div class="coupon input-group">
                <span class="input-group-addon" for="coupon_code"><?php esc_attr_e( 'Coupon:', 'trebol' ); ?></span>

                <input type="text" placeholder="<?php esc_attr_e( 'Coupon code', 'trebol' ); ?>" value="" id="coupon_code" class="input-text form-control" name="coupon_code">

                <span class="input-group-btn">
                    <input type="submit" class="button" name="apply_coupon" value="<?php esc_attr_e( '&#xf30f;', 'trebol' ); ?>" />
                </span>
            </div>
            <div class="clear"></div>
        </form>
    </div>
</div>
