<?php
/**
 * Pagination - Show numbered pagination for catalog pages
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/pagination.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.3.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $wp_query;
$add_class='paging_numbers';
$typePagination  = get_theme_mod('trebol_woo_pagination',false);

if(isset($_GET['pagination']) && $_GET['pagination']=='false'){
    $typePagination=false;
}

if($typePagination){
    $add_class='paging_loadMore';
}

if ( $wp_query->max_num_pages <= 1 ) {
    return;
}
?>

    <nav class="paging <?php echo esc_attr($add_class);?>">
        <?php
        echo str_replace("<ul class='page-numbers'>", '<ul class="pagination">', paginate_links( apply_filters( 'woocommerce_pagination_args', array(
            'base'          => esc_url( str_replace( 999999999, '%#%', remove_query_arg( array( 'add-to-cart', 'shop_load', '_', 'infload', 'ajax_filters' ), get_pagenum_link( 999999999, false ) ) ) ),
            'format'        => '',
            'current'       => max( 1, get_query_var('paged') ),
            'total'         => $wp_query->max_num_pages,
            'prev_text'     => '<i class="ion-chevron-left icons"></i>',
            'next_text'     => '<i class="ion-chevron-right icons"></i>',
            'type'          => 'list',
            'end_size'      => 3,
            'mid_size'      => 3
        ) ) ));

        ?>
    </nav>    
    <?php if($typePagination):?>
        <div class="infload-link"><?php next_posts_link( '' ); ?></div>
        <div class="infload-controls">
            <a href="#" id="loadShop" class="infload-btn"><?php esc_html_e( 'load more', 'trebol' ); ?></a>
            <a href="#" class="infload-to-top hidden"><?php esc_html_e( 'All products loaded.', 'trebol' ); ?></a>
        </div>
    <?php endif;?>
